Autor Tópico: Problemas com atualizacao  (Lida 4900 vezes)

Offline ### C@!O ###

  • Usuário Ubuntu
  • *
  • Mensagens: 32
    • Ver perfil
Problemas com atualizacao
« Online: 13 de Julho de 2007, 10:24 »
Bom dia.

Acabei de me registrar e esse eh meu primeiro topico... ;o)

O problema eh o seguinte, a uns 4 dias atras fui fazer a atualizacao padrao do Ubuntu 6.10 atraves do notificador de atualizacoes que fica do lado do relogio, mas ao inves de fazer pela interface grafica realizei a atualizacao via comando - apt-get upgrade. O apt-get listou todos os programas que iria atualizar, no meu caso o OpenOffice e todas as dependencias entre elas 'python-uno'. Depois de tudo listado digitei um 'S' para confirmar a atualizacao.

Os programas foram todos baixados e no momento de atualizar os arquivos do python-uno...bulhufas...deu um erro dos grandes:

Preparando para substituir python-uno 2.0.4-0ubuntu5 (usando .../python-uno_2.0.4-0ubuntu6_i386.deb) ...
Traceback (most recent call last):
  File "/usr/bin/pycentral", line 1348, in ?
    main()
  File "/usr/bin/pycentral", line 1342, in main
    rv = action.run(global_options)
  File "/usr/bin/pycentral", line 935, in run
    pkg.remove(runtimes, remove_script_files=True)
  File "/usr/bin/pycentral", line 693, in remove
    default_runtime.remove_byte_code(self.private_files)
AttributeError: 'NoneType' object has no attribute 'remove_byte_code'
dpkg: aviso - antigo script pre-removal retornou erro de estado de saída 1
dpkg - tentando script do novo pacote em vez disso ...
Traceback (most recent call last):
  File "/usr/bin/pycentral", line 1348, in ?
    main()
  File "/usr/bin/pycentral", line 1342, in main
    rv = action.run(global_options)
  File "/usr/bin/pycentral", line 935, in run
    pkg.remove(runtimes, remove_script_files=True)
  File "/usr/bin/pycentral", line 693, in remove
    default_runtime.remove_byte_code(self.private_files)
AttributeError: 'NoneType' object has no attribute 'remove_byte_code'
dpkg: erro processando /var/cache/apt/archives/python-uno_2.0.4-0ubuntu6_i386.deb (--unpack):
 subprocesso novo script pre-removal retornou código de saída de error 1
Erros foram encontrados durante processamento de:
 /var/cache/apt/archives/python-uno_2.0.4-0ubuntu6_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



Logo em seguida, mandei um 'sudo apt-get -f install' e me foi listado o python-uno para atualizar novamente e no momento da atualizacao o mesmo problema.

Agora nao consigo nem atualizar e nem remover qualquer programa... :-\ ???

Gostaria de saber se existe uma solucao pra isso.
### C@!O ###
Gosto de trocar conhecimento e ajudo porque gosto e aprendo, mas eu nunca disse que sou seu suporte técnico particular. Aquele que me adiciona no msn, por favor identifique-se

arlei

  • Visitante
Re: Problemas com atualizacao
« Resposta #1 Online: 13 de Julho de 2007, 11:12 »
Olá ### C@!O ###, seja bem vindo ao fórum amigo.

Olha, basicamente quando acontece esse tipo de problema nós devemos proceder da seguinte forma:

1) Rodar o "sudo apt-get update" para ter certeza que a lista de pacotes do apt está atualizada.

2) Rode o comando "sudo apt-get -f install" para usar o sistema de resolução de problemas do apt.

3) Caso ele não resolva, experimente usar o "sudo dpkg -i --force-all" para forçar a instalação do pacote com problemas, ou use o "sudo dpkg -r pacote" caso prefira desistir da instalação.

4) Rode o comando "sudo dpkg --configure -a", que verifica pendências na configuração dos pacotes.

5) Rode novamente o "sudo apt-get -f install". Caso ele não resolva, experimente o "sudo apt-get -f remove", que tem uma função similar à do "-f install", mas dá preferência a remover os pacotes com problemas, ao invés de tentar corrigir a instalação.

T+
Arlei

Offline ### C@!O ###

  • Usuário Ubuntu
  • *
  • Mensagens: 32
    • Ver perfil
Re: Problemas com atualizacao
« Resposta #2 Online: 13 de Julho de 2007, 11:27 »

Arlei, rodei o  'sudo dpkg --configure -a' no qual me instalou o openoffice mas nao sei de onde ele tirou os pacotes.

Ja o problema citado no primeiro post continua, nao remove nem instalo nada mais...  :( :'(
### C@!O ###
Gosto de trocar conhecimento e ajudo porque gosto e aprendo, mas eu nunca disse que sou seu suporte técnico particular. Aquele que me adiciona no msn, por favor identifique-se

Offline agente100gelo

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.347
  • @Ceará
    • Ver perfil
Re: Problemas com atualizacao
« Resposta #3 Online: 13 de Julho de 2007, 11:37 »
Lista aqui o teu /etc/apt/sources.list
Advogado e analista de sistema cearense.
Twitter: @glaydson

Offline ### C@!O ###

  • Usuário Ubuntu
  • *
  • Mensagens: 32
    • Ver perfil
Re: Problemas com atualizacao
« Resposta #4 Online: 13 de Julho de 2007, 11:42 »
Gigante

deb http://br.archive.ubuntu.com/ubuntu/ edgy main restricted multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ edgy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ edgy-updates main restricted multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ edgy-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://br.archive.ubuntu.com/ubuntu/ edgy universe
deb-src http://br.archive.ubuntu.com/ubuntu/ edgy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu edgy-security main restricted multiverse
deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted
##deb http://security.ubuntu.com/ubuntu edgy-security universe
##deb-src http://security.ubuntu.com/ubuntu edgy-security universe

##deb http://nvidia.limitless.lupine.me.uk/ubuntu edgy stable
##deb http://ubuntu.beryl-project.org/ edgy main
##deb-src http://ubuntu.beryl-project.org/ edgy main


## Avant Window Navigator
#deb http://download.tuxfamily.org/syzygy42/ edgy avant-window-navigator

## Oracle XE
deb http://oss.oracle.com/debian unstable main non-free

## Enlightenment 17
deb http://edevelop.org/pkg-e/ubuntu edgy e17

## KIBA-DOCK
#deb http://download.tuxfamily.org/3v1deb edgy beryl-svn
#deb-src http://download.tuxfamily.org/3v1deb edgy beryl-svn
### C@!O ###
Gosto de trocar conhecimento e ajudo porque gosto e aprendo, mas eu nunca disse que sou seu suporte técnico particular. Aquele que me adiciona no msn, por favor identifique-se

Offline agente100gelo

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.347
  • @Ceará
    • Ver perfil
Re: Problemas com atualizacao
« Resposta #5 Online: 13 de Julho de 2007, 13:55 »
Comente os repositórios não oficiais e dê um sudo apt-get update.

E apague o arquivo que está dando problema:
Código: [Selecionar]
sudo rm /var/cache/apt/archives/python-uno_2.0.4-0ubuntu6_i386.deb
Agora tente um upgrade:
Código: [Selecionar]
sudo apt-get upgrade
Advogado e analista de sistema cearense.
Twitter: @glaydson

Offline Elan

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Problemas com atualizacao
« Resposta #6 Online: 13 de Julho de 2007, 14:52 »
kra...jah tentei todas as dicas ai de cima...e sempre tah rolando issu aki oh..

E: O pacote sun-java6-bin precisa ser reinstalado, mas não foi possível encontrar um repositório para o mesmo.
 oq eu faço?

arlei

  • Visitante
Re: Problemas com atualizacao
« Resposta #7 Online: 13 de Julho de 2007, 15:54 »
kra...jah tentei todas as dicas ai de cima...e sempre tah rolando issu aki oh..

E: O pacote sun-java6-bin precisa ser reinstalado, mas não foi possível encontrar um repositório para o mesmo.
 oq eu faço?

Tem que habilitar os repositórios multiverse no teu sources.list.

http://packages.ubuntu.com/cgi-bin/search_packages.pl?keywords=sun-java6-bin&searchon=names&subword=1&version=feisty&release=all

T+
Arlei

Offline Elan

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Problemas com atualizacao
« Resposta #8 Online: 13 de Julho de 2007, 21:27 »
soh...
valeu msm kra..
agora tah rox... :D

Offline Vitorcg

  • Usuário Ubuntu
  • *
  • Mensagens: 1
    • Ver perfil
Manual do Serven Ubuntu
« Resposta #9 Online: 19 de Julho de 2009, 11:47 »
Alguem tem o manual do Serven Ubuntu. Desde já agradeço. Sou iniciante. Abraços